%define	version	0.9.1
%define release	1mdk

%define req_numexp_version 0.10.0

Summary:	GUI frontend for NumExp-core
Name:		gnumexp
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sciences/Mathematics
URL:		http://numexp.sf.net/
Buildroot:	%{_tmppath}/%{name}-%{version}-buildroot
Source:		ftp://download.sourceforge.net/pub/sourceforge/numexp/%{name}-%{version}.tar.bz2
Patch0:		%{name}-0.9.1-destdir.patch.bz2

BuildRequires:	libnumexp-devel >= %{req_numexp_version}
BuildRequires:	numexp-core >= %{req_numexp_version}
BuildRequires:	libxml2-utils
BuildRequires:	gnome-python >= 2.6.0
BuildRequires:	pygtk2.0-devel >= 2.4.0
BuildRequires:	pyorbit-devel >= 2.0.0
BuildRequires:	python-base >= 2.2
BuildRequires:	pymathml >= 0.2
BuildRequires:	GConf2
BuildRequires:	docbook-dtd-mathml20
BuildRequires:	libnxplot-python
BuildRequires:	libnxplot-devel
BuildRequires:	X11-Xvfb
BuildRequires:	perl-XML-Parser
# finding this one out is very painstaking
BuildRequires:	gnome-python-gnomeprint
# drop these if no patch is present
BuildRequires:	automake1.8
BuildRequires:	gnome-common >= 2.8.0
Prereq:		GConf2
Prereq:		shared-mime-info
Requires:	urw-fonts

%description
gNumExp is a GUI frontend to numexp-core. gNumExp can be considered
as a Mathematica-like mathematical application.

numexp-core is part of the NumExp project, which could be described as a
mathematical computation environment or even as a programming language.

%prep
%setup -q
%patch0 -p1 -b .DESTDIR

AUTOMAKE=automake-1.9 ACLOCAL=aclocal-1.9 autoreconf --force --install

%build
# (Abel) X display AND fontpath are necessary for pygtk detection
# :500 should be reasonable enough to avoid collision
# I want to f*ck mandrake building clusters
Xvfb -fp /usr/share/fonts/default/ghostscript -fp /usr/X11R6/lib/X11/fonts/misc :500 -nolisten unix & pid=$!
export DISPLAY=:500

%configure2_5x --disable-schemas-install || \
	{ kill $pid; exit 1; }

kill $pid

%make

%install
rm -rf %{buildroot}
GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 %makeinstall_std

mkdir -p %{buildroot}%{_menudir}
cat << _EOF_ > %{buildroot}%{_menudir}/%{name}
?package(%{name}): \
 command="%{_bindir}/gnumexp" \
 icon="%{name}.png" \
 longtitle="Enter NumExp math queries" \
 needs="x11" \
 section="More Applications/Sciences/Mathematics" \
 title="gNumExp Math Console" \
 startup_notify="yes"
?package(%{name}): \
 command="%{_bindir}/gnumexp -x" \
 icon="%{name}.png" \
 longtitle="Plot NumExp functions" \
 needs="x11" \
 section="More Applications/Sciences/Mathematics" \
 title="gNumExp Function Plotter" \
 startup_notify="yes"
_EOF_

#icons
mkdir -p %{buildroot}%{_miconsdir} \
	 %{buildroot}%{_iconsdir} \

install -m 0644 -D      pixmaps/gnumexp_icon.png %{buildroot}%{_liconsdir}/%{name}.png
convert -geometry 32x32 pixmaps/gnumexp_icon.png %{buildroot}%{_iconsdir}/%{name}.png
convert -geometry 16x16 pixmaps/gnumexp_icon.png %{buildroot}%{_miconsdir}/%{name}.png

%{find_lang} %{name}

# remove files not bundled
rm -f	%{buildroot}%{_libdir}/orbit-2.0/*.{a,la} \
	%{buildroot}%{_libdir}/python?.?/site-packages/*.{a,la}

%post
%update_menus
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
for SCHEMA in numexp-console; do
        gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/$SCHEMA.schemas > /dev/null
done
update-mime-database %{_datadir}/mime > /dev/null

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  for SCHEMA in numexp-console; do
    gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/$SCHEMA.schemas > /dev/null
  done
fi

%postun
%clean_menus
update-mime-database %{_datadir}/mime > /dev/null

%clean
rm -rf %{buildroot}


%files -f %{name}.lang
%defattr(-,root,root)
%doc README
%{_bindir}/*
%{_datadir}/application-registry/*.applications
%{_datadir}/applications/*.desktop
%{_datadir}/gnome-2.0/ui/*.xml
%{_datadir}/%{name}
%{_datadir}/idl/*.idl
%{_datadir}/mime-info/%{name}.*
%{_datadir}/mime/packages/*.xml
%{_datadir}/pixmaps/*
%{_libdir}/bonobo/servers/*.server
%{_libdir}/orbit-2.0/*.so
%{_libdir}/python?.?/site-packages/*
%{_menudir}/%{name}
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_sysconfdir}/gconf/schemas/*.schemas

%changelog
* Thu Oct 28 2004 Abel Cheung <deaddog@mandrake.org> 0.9.1-1mdk
- New version
- Patch0: Don't update mime database when using DESTDIR

* Sat Aug 23 2003 Abel Cheung <deaddog@deaddog.org> 0.8.0-1mdk
- First Mandrake package
